Important: SuperCard Is Not Compatible With Catalina

SuperCard remains a 32-bit application and will continue to be for the foreseeable future. This means it is not compatible with Catalina (macOS 10.15) or later versions of macOS. While it is possible to run SuperCard under Catalina in a Parallels Virtual Machine, it is not natively compatible.

If you still wish to purchase a new license of SuperCard, please click the Continue button below.


Continue to PurchaseMore Info on Parallels